#include "mainwindow.h"
#include <QFile>

MainWindow::MainWindow(QWidget *parent) :
        QMainWindow(parent)
{
    setWindowTitle(tr("Пример для класса QgebSimpleTableWidget"));
    setWindowModality(Qt::ApplicationModal);
    setObjectName("MainWindow");
    setFixedSize(800,600);
    setCentralWidget(getSimpleTable());
}

QgebSimpleTableWidget * MainWindow::getSimpleTable()
{
    simpleTableWidget = new QgebSimpleTableWidget;
    simpleTableWidget->setVisible(true);
    simpleTableWidget->setObjectName("simpleTableWidget");
    // создаем таблицу размером 4 * 4
    simpleTableWidget->setColumnCount(4);
    simpleTableWidget->setRowCount(4);
    QTableWidgetItem * item;
    // заполняем таблицу
    for (int col=0; col<simpleTableWidget->columnCount(); ++col)
    {
        item = new QTableWidgetItem("Column " + QString::number(col));
        simpleTableWidget->setHorizontalHeaderItem(col, item);
        for (int row=0; row<simpleTableWidget->rowCount(); ++row)
        {
            item = new QTableWidgetItem("Cell_" + QString::number(row) + "_" + QString::number(col));
            simpleTableWidget->setItem(row, col, item);
            //для каждой колонки устанавливаем свое выравнивание
            switch (col)
            {
            case 0:
                item->setTextAlignment(Qt::AlignLeft | Qt::AlignTop);
                break;
            case 1:
                item->setTextAlignment(Qt::AlignRight | Qt::AlignBottom);
                break;
            case 2:
                item->setTextAlignment(Qt::AlignCenter);
                break;
            case 3:
                item->setTextAlignment(Qt::AlignJustify);
                break;
            }
        }

    }
    return simpleTableWidget;
}

