#include "qgebprint.h"

/*
  Конструктор
*/
QgebPrint::QgebPrint(QObject *parent) : QObject(parent)
{
    webView = new QWebView; //создаем экземпляр QWebView
    webView->setVisible(false);     //делаем его невидимым
}

/*
  Деструктор
*/
QgebPrint::~QgebPrint()
{
    delete webView;
}

/*
  Выдать диалог предварительного просмотра и печатать уже из него
*/
void QgebPrint::printPreview(QString sHtml)
{
#ifndef QT_NO_PRINTDIALOG
    webView->setHtml(sHtml.toAscii());  //передаем буфер в браузер
    QPrinter printer;
    prevDlg = new QPrintPreviewDialog(&printer); //создаем диалог предварительного просмотра
    //соединяем сигнал, активизирующий рисование, с выводом на печать
    connect(prevDlg, SIGNAL(paintRequested(QPrinter*)), webView, SLOT(print(QPrinter*)));
    //запускаем предварительный просмотр
    prevDlg->exec();
    delete prevDlg;
 #endif
}

/*
  Прямой вывод на печать без предварительного просмотра
*/
void QgebPrint::print(QString sHtml)
{
#ifndef QT_NO_PRINTDIALOG
    webView->setHtml(sHtml.toAscii());
    QPrinter printer;
    prevDlg = new QPrintPreviewDialog(&printer);
    connect(prevDlg, SIGNAL(paintRequested(QPrinter*)), webView, SLOT(print(QPrinter*)));
    //связываем местный сигнал с сигналом, активизирующим рисование для имитации нажатия кнопки печати
    connect(this, SIGNAL(printTable(QPrinter*)), prevDlg, SIGNAL(paintRequested(QPrinter*)));
    prevDlg->hide();
    emit printTable(&printer);
    delete prevDlg;
#endif
}

